org.hibernate.search.cfg

## Class PropertySpatialMapping

- java.lang.Object
- - org.hibernate.search.cfg.PropertySpatialMapping

-     public class PropertySpatialMapping
      extends Object

  Author:
    Nicolas Helleringer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertySpatialMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `PropertySpatialMapping` | `boost(float boost)`
    `PropertySpatialMapping` | `bottomSpatialHashLevel(int bottomSpatialHashLevel)`
    `PropertyMapping` | `bridge(Class<? extends FieldBridge> fieldBridge)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `FieldMapping` | `field()`
    `PropertySpatialMapping` | `name(String fieldName)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `PropertySpatialMapping` | `spatial()`
    `PropertySpatialMapping` | `spatialMode(SpatialMode spatialMode)`
    `PropertySpatialMapping` | `store(Store store)`
    `PropertySpatialMapping` | `topSpatialHashLevel(int topSpatialHashLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertySpatialMapping

          public PropertySpatialMapping(PropertyDescriptor property,
                                        EntityDescriptor entity,
                                        SearchMapping mapping)

  - ### Method Detail

    - #### spatial

          public PropertySpatialMapping spatial()

    - #### name

          public PropertySpatialMapping name(String fieldName)

    - #### store

          public PropertySpatialMapping store(Store store)

    - #### boost

          public PropertySpatialMapping boost(float boost)

    - #### spatialMode

          public PropertySpatialMapping spatialMode(SpatialMode spatialMode)

    - #### topSpatialHashLevel

          public PropertySpatialMapping topSpatialHashLevel(int topSpatialHashLevel)

    - #### bottomSpatialHashLevel

          public PropertySpatialMapping bottomSpatialHashLevel(int bottomSpatialHashLevel)

    - #### field

          public FieldMapping field()

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### bridge

          public PropertyMapping bridge(Class<? extends FieldBridge> fieldBridge)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved